Index: async_server/Makefile
===================================================================
--- async_server/Makefile	(revision 3269)
+++ async_server/Makefile	(working copy)
@@ -1,2 +1,2 @@
 all:
-	gcc -o ../../bin/async_server -lpthread -lusb-1.0 *.c
+	gcc -o ../../bin/async_server *.c -lpthread -lusb-1.0
Index: bandscope/Makefile
===================================================================
--- bandscope/Makefile	(revision 3269)
+++ bandscope/Makefile	(working copy)
@@ -3,10 +3,12 @@
          -I/usr/include/pango-1.0 -I/usr/include/glib-2.0\
          -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1\
          -I/usr/include/freetype2 -I/usr/include/libpng12
-
+GTK_INCLUDES +=-I/usr/lib/x86_64-linux-gnu/glib-2.0/include
+GTK_INCLUDES +=-I/usr/lib/x86_64-linux-gnu/gtk-2.0/include
+GTK_INCLUDES +=-I/usr/include/gdk-pixbuf-2.0
 GTK_LIBS=-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0\
          -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lz\
          -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0
 
 all:
-	gcc -o ../../bin/bandscope -g $(GTK_INCLUDES) -lpthread -lfftw3f -lm $(GTK_LIBS) *.c
+	gcc -o ../../bin/bandscope -g $(GTK_INCLUDES) *.c -lpthread -lfftw3f -lm $(GTK_LIBS)
Index: hpsdrsvr/Makefile
===================================================================
--- hpsdrsvr/Makefile	(revision 3269)
+++ hpsdrsvr/Makefile	(working copy)
@@ -1,2 +1,2 @@
 all:
-	gcc -o ../../bin/hpsdrsvr -lpthread *.c
+	gcc -o ../../bin/hpsdrsvr *.c -lpthread
Index: monitor/Makefile
===================================================================
--- monitor/Makefile	(revision 3269)
+++ monitor/Makefile	(working copy)
@@ -3,6 +3,9 @@
          -I/usr/include/pango-1.0 -I/usr/include/glib-2.0\
          -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1\
          -I/usr/include/freetype2 -I/usr/include/libpng12
+GTK_INCLUDES +=-I/usr/lib/x86_64-linux-gnu/glib-2.0/include
+GTK_INCLUDES +=-I/usr/lib/x86_64-linux-gnu/gtk-2.0/include
+GTK_INCLUDES +=-I/usr/include/gdk-pixbuf-2.0
 
 GTK_LIBS=-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0\
          -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lz\
@@ -9,4 +12,4 @@
          -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0
 
 all:
-	gcc -o ../../bin/monitor -g $(GTK_INCLUDES) -lpthread -lfftw3f -lm $(GTK_LIBS) *.c
+	gcc -o ../../bin/monitor -g $(GTK_INCLUDES) *.c -lpthread -lfftw3f -lm $(GTK_LIBS)
Index: receiver/Makefile
===================================================================
--- receiver/Makefile	(revision 3269)
+++ receiver/Makefile	(working copy)
@@ -10,6 +10,8 @@
          -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1\
          -I/usr/include/freetype2 -I/usr/include/libpng12 \
          -I/usr/include/gdk-pixbuf-2.0
+INCLUDES +=-I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include
+
 LIBS=-L. -L../DttSP -lDttSP -lpthread\
      -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0\
      -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lz\
Index: receiver/main.c
===================================================================
--- receiver/main.c	(revision 3269)
+++ receiver/main.c	(working copy)
@@ -691,7 +691,7 @@
     loadProperties(propertyPath);
 
     // initialize DttSP
-    Setup_SDR();
+    Setup_SDR("/tmp");	// XXX why?
     Release_Update();
     SetTRX(0,FALSE); // thread 0 is for receive
     SetTRX(1,TRUE);  // thread 1 is for transmit
Index: sdr1000/Makefile
===================================================================
--- sdr1000/Makefile	(revision 3269)
+++ sdr1000/Makefile	(working copy)
@@ -1,2 +1,2 @@
 all:
-	gcc -o ../../bin/sdr1000server -lusb-1.0 *.c
+	gcc -o ../../bin/sdr1000server *.c -lusb-1.0
Index: server/Makefile
===================================================================
--- server/Makefile	(revision 3269)
+++ server/Makefile	(working copy)
@@ -34,7 +34,7 @@
 all: Makefile $(TARGET)
 
 $(TARGET):  $(OBJECTS)
-	$(CC) -o $(TARGET) $(LIBS) $(OBJECTS) 
+	$(CC) -o $(TARGET) $(OBJECTS) $(LIBS)
 
 clean:
 	-rm -rf $(TARGET)
Index: softrock/Makefile
===================================================================
--- softrock/Makefile	(revision 3269)
+++ softrock/Makefile	(working copy)
@@ -1,2 +1,2 @@
 all:
-	gcc -std=gnu99 -g -O3 -Wall -o ../../bin/softrock -lpthread -lportaudio -lpulse-simple -lusb *.c
+	gcc -std=gnu99 -g -O3 -Wall -o ../../bin/softrock *.c -lpthread -lportaudio -lpulse-simple -lpulse -lm -lusb
